/**
  *正文中img元素的几种情况
  *    后台插入图片，其中的两种方式：搜索，上传  
  *             img元素有url属性，url有3张图，依次小中大 都放在自己图片服务器
  *    图集
  *             img元素有url属性，url有3张图，依次小中大,都放在自己图片服务器 
  *             有data-url属性，指向图集详情页
  *    视频
  *             img元素没有url属性
  *             有data-url属性，指向视频详情页
  *    后台插入图片 -- 远程图片
  *             src是自己图片服务器，有url属性，但值不规则
  *    后台插入图片 -- 百度搜索
  *             src不是自己图片服务器，有url属性，但值不规则
 **/
var clound = clound || {};
clound.imgLoad = {
	images:[],
	onload : function(obj){
	    
		var w,h,w1;
		
		if($('html').hasClass('Pic'))	{
			var isMobileimage =  obj.getAttribute('class')=='mobileimage',
				isMobilevideo =  obj.getAttribute('class')=='mobilevideo',
				readDataUrl = isMobileimage || isMobilevideo;
			
			var url = obj.getAttribute('url')+'',
				data_url = obj.getAttribute('data-url'),
				data = '',
				arr = [];

			//如果是视频，且是绝对路径，就不再拼接
			if(isMobilevideo  && data_url.indexOf("http://rtmp.cnstock.com/")!=-1){
					data = data_url;
			}else{
				data = "http://rtmp.cnstock.com"+obj.getAttribute('data-url');
			}
			
            if(isMobileimage){
                data = data_url;
            }

			//提取其中的地址
			if(url==',,' || !url){
				$(obj).hide();
				return;
			};
			arr = url.split(',');
	
			if($(obj).attr('width')){
				w = obj.width;
				h = obj.height;
				w1 = obj.width = obj.parentNode.offsetWidth;
				obj.height = w1/w*h;
			}else{
				obj.width = obj.parentNode.offsetWidth;
			}
			
			$(obj).parent().on('click', function(){
				if(readDataUrl){
					window.open(data);
				}else{
					window.open(arr[2]);
				}
			});
		}else{
			$(obj).hide();
		}	
	},
	lazyload : function(obj){
		var viewWidth = document.documentElement.clientWidth,
			viewHeight = document.documentElement.clientHeight,
			offsetTop = $(obj).offset().top,
			scrollTop = $(window).scrollTop() + viewHeight + 100,
			url = obj.getAttribute('url')+'',
			arr =[];

		if (!$(obj).is(':visible')) {
			return;
        }
        if(url==',,' || !url){
			$(obj).hide();
			return;
		};
            obj.onload = function(){
            $(obj).css('width', '100%');
             }
		arr = url.split(',');

        if($(obj).attr('src') == 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsQAAA7EAZUrDhsAAAANSURBVBhXYzh8+PB/AAffA0nNPuCLAAAAAElFTkSuQmCC'){
			if(viewWidth>480){
				if(arr[2]=='' || arr[2] == 'undefined'){
					$(obj).hide();
				}
				obj.src=arr[2];
			}else if(viewWidth>320 && arr[1] != ''){
				if(arr[1]=='' || arr[1] == 'undefined'){
					$(obj).hide();
				}
				obj.src=arr[1];
			}else if(arr[1] != '' || arr[1] == 'undefined'){
				if(arr[1]==''){
					$(obj).hide();
				}
				obj.src=arr[1];
			}

			//$(obj).css('width', '100%');
		}else{
			return;
		}
	}
};

window.onload = function(){
	
	
	if($('html').hasClass('Pic')){
		
		//图集增加样式
		$('.ui-gallery').each(function(index){
			var _node = $(this);
			this.innerHTML = this.innerHTML + '<span class="ui-gallery-icon">图集</span>';
		});
		
		//视频集增加样式
		$('.ui-mobilevideo').each(function(index){
			var _node = $(this);
			this.innerHTML = this.innerHTML + '<span class="ui-mobilevideo-icon"></span>';
		});
	}

	//格式化新闻
	$('.main-content p').each(function(index){
		var _regExp_1 = new RegExp('&nbsp;','ig');
		//$(this).html($(this).html().replace(_regExp_1, '').trim());

		var _regExp_2 = new RegExp('<img[^>]*>','ig'),
			_hasImg = $(this).html().match(_regExp_2);
		
		if(!_hasImg && $(this).css('text-align') != 'center'){
            //$(this).css('text-indent', '2em');
		}else if($(this).children('img').length >0){
			$(this).css({
				'text-indent': '0',
				'text-align': 'center'
			});
		}
	});

	//加载第一屏的图片
	$('html').find('img').each(function(){
		clound.imgLoad.onload(this);
		clound.imgLoad.lazyload(this);
	});
/*
	//监听滚动事件，做滚动加载
	var scrollTimer = null;
	$(window).scroll(function(){
		if (scrollTimer) {
     		clearTimeout(scrollTimer);
     	}
     	scrollTimer = setTimeout(function(){
     		$('html').find('img').each(function(){
				clound.imgLoad.lazyload(this);
			});
     	}, 400);
	});
*/
};
